ClarisWksGraphInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ClarisWksGraphInternal::State Struct Reference

Internal: the state of a ClarisWksGraph. More...

## Public Member Functions
| State ()
| constructor More...
int | getOrdering () const
| returns a new ordering. More...

## Public Attributes
int | m_numPages
| the number of pages More...
MWAWVec2f | m_pageDimensions
| the page dimension if known (in point) More...
int | m_masterId
| the master group id ( in a draw file ) More...
std::map< int, std::shared_ptr< Group > > | m_groupMap
| a map zoneId -> group More...
std::map< int, std::shared_ptr< Bitmap > > | m_bitmapMap
| a map zoneId -> group More...
std::map< int, std::shared_ptr< ZonePict > > | m_databaseMap
| a map zoneId -> zone More...
int | m_frameId
| a int used to defined linked frame More...
bool | m_positionsComputed
| true if the ClarisWksGraph::computePositions was called More...
int | m_ordering
| the last ordering used More...

## Detailed Description

Internal: the state of a ClarisWksGraph.

## Constructor & Destructor Documentation

## ◆ State()

ClarisWksGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getOrdering()

int ClarisWksGraphInternal::State::getOrdering | ( |  | ) | const
| inline

returns a new ordering.

Note
  : the shapes seem to appear in increasing ordering, so we can use this function.

## Member Data Documentation

## ◆ m_bitmapMap

std::map<int, std::shared_ptr<Bitmap> > ClarisWksGraphInternal::State::m_bitmapMap

a map zoneId -> group

## ◆ m_databaseMap

std::map<int, std::shared_ptr<ZonePict> > ClarisWksGraphInternal::State::m_databaseMap

a map zoneId -> zone

## ◆ m_frameId

int ClarisWksGraphInternal::State::m_frameId

a int used to defined linked frame

## ◆ m_groupMap

std::map<int, std::shared_ptr<Group> > ClarisWksGraphInternal::State::m_groupMap

a map zoneId -> group

## ◆ m_masterId

int ClarisWksGraphInternal::State::m_masterId

the master group id ( in a draw file )

## ◆ m_numPages

int ClarisWksGraphInternal::State::m_numPages

the number of pages

## ◆ m_ordering

int ClarisWksGraphInternal::State::m_ordering
| mutable

the last ordering used

## ◆ m_pageDimensions

MWAWVec2f ClarisWksGraphInternal::State::m_pageDimensions

the page dimension if known (in point)

## ◆ m_positionsComputed

bool ClarisWksGraphInternal::State::m_positionsComputed

true if the ClarisWksGraph::computePositions was called

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx